<template>
    <div>
        <div v-if="drafts.data.length">
            <div class="table-title">
                Drafts
            </div>
            <div class="table-responsive">
                <table class="table-hover">
                    <thead class="table-header">
                        <tr>
                            <th class="table-first-item">
                                Message's text
                            </th>
                            <th>Created on</th>
                            <th />
                        </tr>
                    </thead>
                    <tbody
                        v-for="(draft, index) in drafts.data"
                        :key="index"
                        class="table-body"
                    >
                        <tr class="table-body-row">
                            <th class="table-first-item">
                                {{ draft.body_text.length >= 50?draft.body_text.slice(0, 50) + '...' : draft.body_text }}
                            </th>
                            <th>{{ $formatter.dateFormat(draft.created_at) }}</th>
                            <th class="text-right">
                                <router-link
                                    :to="'/sms/campaigns/edit/' + draft.id"
                                    class="btn light-blue-btn"
                                >
                                    Edit
                                </router-link>
                                <b-btn
                                    class="red-button"
                                    @click="deleteCampaign(draft.id)"
                                >
                                    Remove
                                </b-btn>
                            </th>
                        </tr>
                    </tbody>
                </table>
            </div>
            <pagination
                :data="drafts"
                @pagination-change-page="getResults"
            />
        </div>
        <div
            v-else
            class="row row-container"
        >
            <div class="col-md-8">
                Draft will appear here
            </div>
            <div class="col-md-4 not-found">
                You have no <span>Drafts</span>
            </div>
        </div>
    </div>
</template>

<script>
    import smsCampaign from '../../../mixins/sms/campaigns.service';

    export default {
        name: "DraftsTable",
        mixins: [smsCampaign],
        data() {
            return {
                drafts: {data: []}
            }
        },
        mounted() {
            this.getResults();
        },
        methods: {
          async  deleteCampaign(id) {
                try {
                    await this.delete(id)
                    this.$notify({
                        type: 'success',
                        title: 'Deleted'
                    });
                    this.getResults()
                }catch (error) {

                }
            },
            getResults(pageNum = 1, perPage = 5) {
                this.getAllDrafts(pageNum, perPage).then(response => (this.drafts = response.data)).catch(error => {
                    console.log(error)
                });
            },
        }
    };
</script>
<style scoped lang="scss">


.table-title {
    font-size: 28px;
    font-weight: bold;
    margin-left: 13px;
    margin-top: 45px;
}

.row-container {
    margin-top: 40px;
}

.not-found {
    font-size: 18px;
    color: #b3b9c4;
    font-weight: 900;
    text-align: right;
}

.table-status-complete {
    color: #2BB300;
}

.not-found span {
    color: #03183B;
}

.campaigns-title {
    font-size: 28px;
    font-weight: bold;
}

.subtitle {
    font-size: 11px;
}

.title-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 25px;
    @media screen and (max-width: 500px) {
        flex-direction: column;
        align-items: baseline;
    }
}

.blue-btn {
    @media screen and (max-width: 500px) {
        margin-top: 15px;
    }
}

.my-icon {
    color: white;
    margin-right: 8px;
    font-size: 17px;
}

.table-first-item {
    text-align: start !important;
}

.table-hover tr {
    border-bottom: 3px solid #F5F6FA;
    border-radius: 10px;
}

.table-header {
    padding: 10px;
}

.table-body {
    background: white;
    border-radius: 10px;
}

.table-hover tbody tr:hover {
    background-color: #fbfcfd;
}


</style>
